Bug 959722 - installer refuses create a mount point with no error message given
Summary: installer refuses create a mount point with no error message given
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: newui-container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-05 03:33 UTC by Chris Murphy
Modified: 2013-05-18 04:55 UTC (History)
6 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-18 04:55:58 UTC


Attachments (Terms of Use)
anaconda.log (64.12 KB, text/plain)
2013-05-05 03:44 UTC, Chris Murphy
no flags Details
program.log (17.59 KB, text/plain)
2013-05-05 03:44 UTC, Chris Murphy
no flags Details
storage.state (20.00 KB, text/plain)
2013-05-05 03:44 UTC, Chris Murphy
no flags Details
storage.log (1.37 MB, text/plain)
2013-05-05 03:45 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-05-05 03:33:08 UTC
Description of problem:
After creating mount points, approximately 4MB free space remains. Installer will not create a 500MB /boot mount point, and also doesn't provide an error message or any feedback to the user.


Version-Release number of selected component (if applicable):
anaconda 19.24-1


How reproducible:
Always

Steps to Reproduce:
1. Choose multiple disks as targets.
3. Manual partitioning, create two mount points, / and /home that consume all space on the selected drives.
3. Try to create /boot 500MB.

  
Actual results:
Nothing happens. No error message.

Expected results:
Either a banner should appear telling the user there isn't enough space. Or the fact the Size policy is Automatic by default, the installer should steal the needed space from one of the mount points.

Additional info:

Comment 1 Chris Murphy 2013-05-05 03:44:00 UTC
Created attachment 743664 [details]
anaconda.log

Comment 2 Chris Murphy 2013-05-05 03:44:31 UTC
Created attachment 743665 [details]
program.log

Comment 3 Chris Murphy 2013-05-05 03:44:58 UTC
Created attachment 743666 [details]
storage.state

Comment 4 Chris Murphy 2013-05-05 03:45:05 UTC
Created attachment 743667 [details]
storage.log

Comment 5 David Lehman 2013-05-14 18:15:41 UTC
Odd. I've tried to reproduce this but I get the error in the info bar every time.

Comment 6 Chris Murphy 2013-05-14 19:15:00 UTC
Description steps to reproduce lack sufficient details. New steps to reproduce with beta TC4 / anaconda 19.25-1

1. Choose 4 1TB disks as targets.
2. Installation Options, change partition scheme to Btrfs, and select review/modify.
3. Manual partitioning, create a new / mount point with size 100gb; create new /home mount point with size blank.
4. Create new /boot mount point with size 500MB.

Nothing happens at step 4, mount point not created, no error message.

Comment 7 Chris Murphy 2013-05-14 19:36:06 UTC
OK so even easier to reproduce, with just two disks, still with Installation Options > Partition Scheme pop-up set to Btrfs:

Manual partitioning > create new / mount point with size blank; create new /boot mount point with size 500mb.

Comment 8 Chris Murphy 2013-05-14 19:38:57 UTC
Also reproducible with just one disk. So it's likely a Partition Scheme set to Btrfs thing, where /boot gets an exception to being created Btrfs, is ext4 instead but doesn't trigger out of space as if it were a Btrfs subvolume. Or something like that.

Comment 9 David Lehman 2013-05-15 15:15:27 UTC
Choosing BTRFS as the default scheme was what I was missing. I'm testing a patch now.

Comment 10 Fedora Update System 2013-05-15 22:26:01 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 11 Fedora Update System 2013-05-16 05:22:35 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-05-17 22:19:58 UTC
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-05-18 04:55:58 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.